# TdApi.SavedCredentials

Package it.ernytech.tdlib

## Class TdApi.SavedCredentials

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.SavedCredentials

Enclosing class:
  TdApi

    public static class TdApi.SavedCredentials
    extends TdApi.Object

Contains information about saved card credentials.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `id` Unique identifier of the saved credentials.
`java.lang.String` `title` Title of the saved credentials.

### Constructor Summary

Constructors
`SavedCredentials()` Default constructor.
`SavedCredentials​(java.lang.String id, java.lang.String title)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the saved credentials.

#### title

    public java.lang.String title

Title of the saved credentials.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SavedCredentials

    public SavedCredentials()

Default constructor.

#### SavedCredentials

    public SavedCredentials​(java.lang.String id,
                            java.lang.String title)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the saved credentials.
  `title` - Title of the saved credentials.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR